Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# CDR_Stream.h File Reference

`#include "ace/CDR_Base.h"`
`#include "ace/SStringfwd.h"`
`#include "ace/Message_Block.h"`
`#include "ace/CDR_Stream.inl"`

Include dependency graph for CDR_Stream.h:

This graph shows which files directly or indirectly include this file:

## Classes
class | ACE_OutputCDR
| A CDR stream for writing, i.e. for marshalling. More...
struct | ACE_OutputCDR::from_boolean
struct | ACE_OutputCDR::from_octet
struct | ACE_OutputCDR::from_char
struct | ACE_OutputCDR::from_wchar
struct | ACE_OutputCDR::from_string
struct | ACE_OutputCDR::from_wstring
class | ACE_InputCDR
| A CDR stream for reading, i.e. for demarshalling. More...
struct | ACE_InputCDR::Transfer_Contents
struct | ACE_InputCDR::to_boolean
struct | ACE_InputCDR::to_char
struct | ACE_InputCDR::to_wchar
struct | ACE_InputCDR::to_octet
struct | ACE_InputCDR::to_string
struct | ACE_InputCDR::to_wstring
class | ACE_Char_Codeset_Translator
| Codeset translation routines common to both Output and Input CDR streams. More...
class | ACE_WChar_Codeset_Translator
| Codeset translation routines common to both Output and Input CDR streams. More...
## Defines
#define | ACE_CDR_BYTE_ORDER 0
## Functions
ACE_Export ACE_CDR::Boolean | operator<< (ACE_OutputCDR &os, const ACE_CString &x)
ACE_Export ACE_CDR::Boolean | operator>> (ACE_InputCDR &is, ACE_CString &x)

## Detailed Description

Id
  CDR_Stream.h,v 1.92 2006/01/25 13:05:49 jwillemsen Exp

ACE Common Data Representation (CDR) marshaling and demarshaling classes.

This implementation was inspired in the CDR class in SunSoft's IIOP engine, but has a completely different implementation and a different interface too.

The current implementation assumes that the host has 1-byte, 2-byte and 4-byte integral types, and that it has single precision and double precision IEEE floats. Those assumptions are pretty good these days, with Crays beign the only known exception.

Optimizations ------------- ACE_LACKS_CDR_ALIGNMENT

Author:
  Arvind S. Krishna <arvindk@dre.vanderbilt.edu>

CDR stream ignores alignment when marshaling data. Use this option only when ACE_DISABLE_SWAP_ON_READ can be enabled. This option requires ACE CDR engine to do both marshaling and demarshaling.

Author:
  TAO version by Aniruddha Gokhale <gokhale@cs.wustl.edu>

  Carlos O'Ryan <coryan@cs.wustl.edu>

  ACE version by Jeff Parsons <parsons@cs.wustl.edu>

  Istvan Buki <istvan.buki@euronet.be>

  Codeset translation by Jim Rogers <jrogers@viasoft.com>

## Define Documentation

#define ACE_CDR_BYTE_ORDER 0

## Function Documentation

ACE_Export ACE_CDR::Boolean operator<< | ( | ACE_OutputCDR & | os,
|  | const ACE_CString & | x
| ) |

ACE_Export ACE_CDR::Boolean operator>> | ( | ACE_InputCDR & | is,
|  | ACE_CString & | x
| ) |